# Class ResourceIcon

java.lang.Object
uk.ac.starlink.ttools.gui.ResourceIcon

public class ResourceIcon extends Object
Stores icons used by the ttools package.

Since:
  9 Feb 2007
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Icon`
`CLICK1`
`static final Icon`
`CLICK2`
`static final Icon`
`CLICK3`
`static final Icon`
`COLOR_WHEEL`
`static final Icon`
`CONSTANT_NODE`
`static final Icon`
`DRAG1`
`static final Icon`
`DRAG2`
`static final Icon`
`DRAG3`
`static final Icon`
`FOLDER_NODE`
`static final Icon`
`FORM_AREA`
`static final Icon`
`FORM_DENSOGRAM`
`static final Icon`
`FORM_ELLIPSE_CORR`
`static final Icon`
`FORM_ERROR`
`static final Icon`
`FORM_ERROR1`
`static final Icon`
`FORM_FILL`
`static final Icon`
`FORM_GAUSSIAN`
`static final Icon`
`FORM_GRID`
`static final Icon`
`FORM_HANDLES`
`static final Icon`
`FORM_HISTOGRAM`
`static final Icon`
`FORM_KDE`
`static final Icon`
`FORM_KNN`
`static final Icon`
`FORM_LINEARFIT`
`static final Icon`
`FORM_LINK2`
`static final Icon`
`FORM_LINK3`
`static final Icon`
`FORM_MARK`
`static final Icon`
`FORM_MARKS2`
`static final Icon`
`FORM_MARKS3`
`static final Icon`
`FORM_MARKS4`
`static final Icon`
`FORM_POLYLINE`
`static final Icon`
`FORM_QUANTILE`
`static final Icon`
`FORM_SIZE`
`static final Icon`
`FORM_SIZEXY`
`static final Icon`
`FORM_SKYDENSITY`
`static final Icon`
`FORM_SKYELLIPSE`
`static final Icon`
`FORM_VECTOR`
`static final Icon`
`FORM_XYELLIPSE`
`static final Icon`
`FUNCTION_NODE`
`static final Icon`
`LIBRARY_NODE`
`static final Icon`
`MODE_ALPHA`
`static final Icon`
`MODE_ALPHA_FIX`
`static final Icon`
`MODE_AUTO`
`static final Icon`
`MODE_AUX`
`static final Icon`
`MODE_DENSITY`
`static final Icon`
`MODE_FLAT`
`static final Icon`
`MODE_PAUX`
`static final Icon`
`MODE_PWEIGHT`
`static final Icon`
`MODE_RGB`
`static final Icon`
`MODE_WEIGHT`
`static final Icon`
`MOUSE_WHEEL`
`static final Icon`
`PLOT_AREALABEL`
`static final Icon`
`PLOT_CONTOUR`
`static final Icon`
`PLOT_FUNCTION`
`static final Icon`
`PLOT_HEALPIX`
`static final Icon`
`PLOT_LABEL`
`static final Icon`
`PLOT_LINE`
`static final Icon`
`PLOT_LINK2`
`static final Icon`
`PLOT_SKYGRID`
`static final Icon`
`PLOT_SPECTRO`
`static final Icon`
`PLOT_STATLINE`
`static final Icon`
`PLOT_STATMARK`
`static final ResourceIcon`
`REF`
Sole class instance.
`static final Icon`
`TTOOLS_DOWHAT`
`static final Icon`
`ZERO`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### REF

public static final ResourceIcon REF
Sole class instance. This doesn't do anything but may be useful for referencing members.

### FOLDER_NODE

public static final Icon FOLDER_NODE

### LIBRARY_NODE

public static final Icon LIBRARY_NODE

### FUNCTION_NODE

public static final Icon FUNCTION_NODE

### CONSTANT_NODE

public static final Icon CONSTANT_NODE

### PLOT_FUNCTION

public static final Icon PLOT_FUNCTION

### PLOT_CONTOUR

public static final Icon PLOT_CONTOUR

### PLOT_LINE

public static final Icon PLOT_LINE

### PLOT_LABEL

public static final Icon PLOT_LABEL

### PLOT_AREALABEL

public static final Icon PLOT_AREALABEL

### PLOT_SPECTRO

public static final Icon PLOT_SPECTRO

### PLOT_HEALPIX

public static final Icon PLOT_HEALPIX

### PLOT_SKYGRID

public static final Icon PLOT_SKYGRID

### PLOT_STATLINE

public static final Icon PLOT_STATLINE

### PLOT_STATMARK

public static final Icon PLOT_STATMARK

### FORM_HISTOGRAM

public static final Icon FORM_HISTOGRAM

### FORM_KDE

public static final Icon FORM_KDE

### FORM_KNN

public static final Icon FORM_KNN

### FORM_DENSOGRAM

public static final Icon FORM_DENSOGRAM

### PLOT_LINK2

public static final Icon PLOT_LINK2

### FORM_MARK

public static final Icon FORM_MARK

### FORM_SIZE

public static final Icon FORM_SIZE

### FORM_SIZEXY

public static final Icon FORM_SIZEXY

### FORM_XYELLIPSE

public static final Icon FORM_XYELLIPSE

### FORM_SKYELLIPSE

public static final Icon FORM_SKYELLIPSE

### FORM_ELLIPSE_CORR

public static final Icon FORM_ELLIPSE_CORR

### FORM_ERROR

public static final Icon FORM_ERROR

### FORM_ERROR1

public static final Icon FORM_ERROR1

### FORM_VECTOR

public static final Icon FORM_VECTOR

### FORM_FILL

public static final Icon FORM_FILL

### FORM_SKYDENSITY

public static final Icon FORM_SKYDENSITY

### FORM_GRID

public static final Icon FORM_GRID

### FORM_QUANTILE

public static final Icon FORM_QUANTILE

### FORM_LINEARFIT

public static final Icon FORM_LINEARFIT

### FORM_GAUSSIAN

public static final Icon FORM_GAUSSIAN

### FORM_LINK2

public static final Icon FORM_LINK2

### FORM_LINK3

public static final Icon FORM_LINK3

### FORM_MARKS2

public static final Icon FORM_MARKS2

### FORM_MARKS3

public static final Icon FORM_MARKS3

### FORM_MARKS4

public static final Icon FORM_MARKS4

### FORM_POLYLINE

public static final Icon FORM_POLYLINE

### FORM_AREA

public static final Icon FORM_AREA

### FORM_HANDLES

public static final Icon FORM_HANDLES

### MODE_FLAT

public static final Icon MODE_FLAT

### MODE_AUTO

public static final Icon MODE_AUTO

### MODE_DENSITY

public static final Icon MODE_DENSITY

### MODE_ALPHA

public static final Icon MODE_ALPHA

### MODE_ALPHA_FIX

public static final Icon MODE_ALPHA_FIX

### MODE_AUX

public static final Icon MODE_AUX

### MODE_WEIGHT

public static final Icon MODE_WEIGHT

### MODE_PAUX

public static final Icon MODE_PAUX

### MODE_PWEIGHT

public static final Icon MODE_PWEIGHT

### MODE_RGB

public static final Icon MODE_RGB

### DRAG1

public static final Icon DRAG1

### DRAG2

public static final Icon DRAG2

### DRAG3

public static final Icon DRAG3

### CLICK1

public static final Icon CLICK1

### CLICK2

public static final Icon CLICK2

### CLICK3

public static final Icon CLICK3

### MOUSE_WHEEL

public static final Icon MOUSE_WHEEL

### ZERO

public static final Icon ZERO

### COLOR_WHEEL

public static final Icon COLOR_WHEEL

### TTOOLS_DOWHAT

public static final Icon TTOOLS_DOWHAT